GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » Fairroot » External Packages » [SOLVED] problems with external packages jul14p3@GSI
[SOLVED] problems with external packages jul14p3@GSI [message #17917] Wed, 18 February 2015 15:03 Go to previous message
Klaus Götzen is currently offline  Klaus Götzen
Messages: 293
Registered: June 2006
Location: GSI
first-grade participant
From: *gsi.de
Hi,

I currently try to install the newest pandaroot trunk on my GSI PC (lxg0477) and like to use the external packages under /cvmfs/fairroot.gsi.de/fairsoft/jul14p3. Setting the SIMPATH to that location I get a crash during compilation of FairRoot (not pandaroot trunk!)

...
/cvmfs/fairroot.gsi.de/fairsoft/jul14p3/include/boost/serialization/base_object.hpp:57: error: 'boost::is_const::value' is not a type
/cvmfs/fairroot.gsi.de/fairsoft/jul14p3/include/boost/serialization/base_object.hpp:57: error: expected ',' or '...' before '==' token
/cvmfs/fairroot.gsi.de/fairsoft/jul14p3/include/boost/serialization/base_object.hpp:57: error: ISO C++ forbids declaration of 'static_assert' with no type
make[2]: *** [base/CMakeFiles/Base.dir/steer/FairRadLenManager.cxx.o] Error 1
make[1]: *** [base/CMakeFiles/Base.dir/all] Error 2
make: *** [all] Error 2

With a personal installation of the external packages in my home (which I'd like to avoid due to quota limitations) it worked. Is there some boost problem/mismatch in the pre-installed packages, or how can I get around that error?

Best,
Klaus

[Updated on: Thu, 19 February 2015 10:43]

Report message to a moderator

 
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Previous Topic: New external packages apr13p1
Next Topic: Problem in installation of fairsoft on ubuntu 14.10
Goto Forum:
  


Current Time: Thu Sep 23 10:20:10 CEST 2021

Total time taken to generate the page: 0.02492 seconds